Debian Bug report logs - #656776
RM: qcad -- RoM; documentation, examples and fonts are non-distributable

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Scott Howard <showard@debian.org>

Date: Tue, 11 Oct 2011 23:06:01 UTC

Severity: normal

Tags: lenny

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, showard@debian.org, debian-release@lists.debian.org, 644786-submitter@bugs.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#645043; Package ftp.debian.org. (Tue, 11 Oct 2011 23:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
New Bug report received and forwarded. Copy sent to showard@debian.org, debian-release@lists.debian.org, 644786-submitter@bugs.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 11 Oct 2011 23:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: qcad/stable -- ROM; non-distributable files
Date: Tue, 11 Oct 2011 18:56:29 -0400
Package: ftp.debian.org
Severity: normal

Removal of qcad source and all binaries (qcad, qcad-doc, qcad-data) from
unstable, stable, and old-stable

1) qcad  is produced by RibbonSoft and has been in Debian since 1999

2) upstream stopped maintaining the software, and Debian has been using qcad-
free [1] as upstream since 2009

3) recently a new project, librecad [2], has ported qcad to qt4 and is packaged
in debian as librecad

4) this week, RibbonSoft asked LibreCAD to stop distributing fonts, patterns,
example libraries, and documentation as they are non-free.

5) The project is advertised as GPLv2 and includes the text of the license with
the code. The header files of all source code has the GPL header, but there is
no explicit granting of GPL in the fonts, patterns, libraries, or
documentation. In face, the documentation says "All Rights Reserved"

6) Since qcad depends on qt3 (which will be removed by wheezy anyways), and
Debian is distributing non-distributable code in both binary and source
packages, it should be removed. After removal, a future upload of qcad can be
made as a transitional package recommending librecad, as per discussions on
debian-science mailing list.



[1]http://sites.google.com/site/qcadfree/
[2] www.librecad.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#645043; Package ftp.debian.org. (Wed, 12 Oct 2011 13:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 12 Oct 2011 13:48:11 GMT) Full text and rfc822 format available.

Message #10 received at 645043@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 645043@bugs.debian.org
Subject: unstable has been fixed, please remove qcad from stable & oldstable
Date: Wed, 12 Oct 2011 09:45:06 -0400
I uploaded the transitional package to unstable (qcad -> librecad), so
no need to RM from unstable. Please RM from stable and old stable.
librecad will be backported to squeeze to give users an alternative.

Cheers,
Scott




Bug reassigned from package 'ftp.debian.org' to 'release.debian.org'. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Wed, 12 Oct 2011 21:33:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: qcad -- RoM; documentation, examples and fonts are non-distributable' from 'RM: qcad/stable -- ROM; non-distributable files' Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:18:11 GMT) Full text and rfc822 format available.

Bug 645043 cloned as bug 656776. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:18:11 GMT) Full text and rfc822 format available.

Added tag(s) lenny. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:18:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:33:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 10 Mar 2012 11:00:04 GMT) Full text and rfc822 format available.

Notification sent to Scott Howard <showard@debian.org>:
Bug acknowledged by developer. (Sat, 10 Mar 2012 11:00:10 GMT) Full text and rfc822 format available.

Message #25 received at 656776-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 656776-close@bugs.debian.org
Subject: Bug#656776: Removed package(s) from oldstable
Date: Sat, 10 Mar 2012 10:56:25 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from oldstable:

libqcad0-dev | 2.0.5.0-1-2.1 | alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
      qcad | 2.0.5.0-1-2.1 | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
  qcad-doc | 2.0.5.0-1-2.1 | all

------------------- Reason -------------------
RoSRM: documentation, examples and fonts are non-distributable
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656776@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/656776

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Archive Administrator (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Apr 2012 07:37:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:54:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.